Subject: Re: bug#36461: 11.90.2.2017-07-25; xemacs21.4.22 mule, problem with window too small (auctex 11.92)

From: David Kastrup <[email-masked]>
Date: Tue, 02 Jul 2019 09:53:17 +0200

Uwe Brauer <[email-masked]> writes:

> Hi
>
> I installed a colleague who is running xemacs21.4.22 on Ubuntu 16.04 the
> latest auctex version which is compatible with xemacs, namely 11.92.
>
> While everything works fine when using keys (like C-c C-c)
> when accessing the latex commands via the menu the following error pops
> up 
> Debugger entered--Lisp error: (error "Window height 0 too small (after 
> splitting)")
>    split-window(nil 17)
>    mouse-read-file-name-1(file-name-history "Master file (default this 
> file): " nil "~/TODO/docencia/prufungen/prueba.tex" nil nil 
> read-file-name-internal)
>    byte-code("..." [initial-contents must-match default dir prompt 
> history mouse-read-file-name-1 completer] 8)
>    read-file-name-1(file file-name-history "Master file (default this 
> file): " nil "~/TODO/docencia/prufungen/prueba.tex" nil nil 
> read-file-name-internal)
>    read-file-name("Master file (default this file): " nil nil)
>    byte-code("..." [default read-file-name format "Master file (default 
> %s): " "this file" nil] 4)
>    TeX-master-file-ask()
>    TeX-master-file(nil nil t)
>    TeX-command-master()
>    TeX-command-menu("LaTeX")
>    eval((TeX-command-menu "LaTeX"))

That kind of error would happen when you are in the minibuffer when
trying to split a window.  Are you sure that clicking on a menu entry
happens while point is still in the main window and the minibuffer is
still inactive?

-- 
David Kastrup